Bug 974016 - Incorrect permissions for /etc/nagios
Incorrect permissions for /etc/nagios
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: nrpe (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jose Pedro Oliveira
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 05:53 EDT by lionel.cons
Modified: 2013-06-17 01:58 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-15 16:03:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lionel.cons 2013-06-13 05:53:27 EDT
The permissions of /etc/nagios in the latest nagios-common rpm are incorrect:

$ rpm -qlvp nagios-common-3.5.0-1.el6.x86_64.rpm | grep /etc/nagios
drwxrwxr-x    2 root    root                        0 Apr 25 03:05 /etc/nagios

They should be 0755 instead of 0775.

Note that /etc/nagios also appears in the nrpe rpm, with different (but correct) permissions:

$ rpm -qlvp nrpe-2.13-1.el6.x86_64.rpm | grep /etc/nagios
drwxr-xr-x    2 root    root                        0 Sep 17  2012 /etc/nagios
Comment 1 Jose Pedro Oliveira 2013-06-15 15:55:28 EDT
Ticket reassigned to the nrpe component.
Comment 2 Jose Pedro Oliveira 2013-06-15 16:02:48 EDT
The problem has already been solved. Please upgrade to nrpe-2.14-3 available in EPEL-Testing as it now requires the nagios-common package.


$ rpm -qpR nrpe-2.14-3.el6.x86_64.rpm
...
nagios-common
...


$ rpm -qf /etc/nagios/
nagios-common-3.5.0-1.el6.x86_64
Comment 3 lionel.cons 2013-06-17 01:58:32 EDT
The problem I reported (Incorrect permissions for /etc/nagios) is still present in the latest nagios-common rpm:

$ rpm -qlvp nagios-common-3.5.0-5.fc20.x86_64.rpm
drwxrwxr-x    2 root    root                        0 Jun 15 18:16 /etc/nagios
drwxr-xr-x    2 root    root                        0 Jun 15 18:16 /usr/lib64/nagios
drwxrwxr-x    2 root    root                        0 Jun 15 18:16 /usr/lib64/nagios/plugins
drwxr-xr-x    2 nagios  nagios                      0 Jun 15 18:16 /var/spool/nagios

The permissions of /etc/nagios should be 755 and not 775.

Note You need to log in before you can comment on or make changes to this bug.